# Generated by Django 3.1.3 on 2020-11-26 18:26

import colorfield.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='AnnotatedText',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content', models.TextField(blank=True, verbose_name='content')),
                ('confidence', models.CharField(blank=True, choices=[('low', 'Not confident'), ('medium', 'Moderately confident'), ('strong', 'Very confident')], default=('medium', 'Moderately confident'), max_length=40, null=True)),
                ('created', models.DateTimeField(auto_now_add=True, null=True, verbose_name='created')),
                ('updated', models.DateTimeField(auto_now=True, null=True, verbose_name='updated')),
            ],
        ),
        migrations.CreateModel(
            name='AnnotationLabel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=120, verbose_name='name')),
                ('label', models.CharField(max_length=120, verbose_name='label')),
                ('font_color_hex', colorfield.fields.ColorField(default='#000000', max_length=18, verbose_name='font color')),
                ('background_color_hex', colorfield.fields.ColorField(default='#8dd3c7', max_length=18, verbose_name='background color')),
                ('description', models.CharField(blank=True, max_length=120, null=True, verbose_name='description')),
                ('created', models.DateTimeField(auto_now_add=True, null=True, verbose_name='created')),
                ('updated', models.DateTimeField(auto_now=True, null=True, verbose_name='updated')),
            ],
        ),
    ]
